> ## Documentation Index > Fetch the complete documentation index at: https://www.canva.dev/docs/apps/llms.txt > Use this file to discover all available pages before exploring further. # Update folder Update a folder's metadata. Updates a folder's details using its `folderID`. Currently, you can only update a folder's name. ## HTTP method and URL path PATCH https\://api.canva.com/rest/v1/folders/\{folderId} This operation is rate limited to 20 requests per minute for each user of your app. ## Authentication and authorization This endpoint requires a valid access token that acts on behalf of a user. For more information, see [Generate an access token](/docs/apps/rest-apis/reference/authentication/generate-access-token). ### Scopes The access token must have all the following [scopes](/docs/apps/rest-apis/scopes) (permissions): * `folder:write` ## Header parameters Provides credentials to authenticate the request, in the form of a `Bearer` token. For example: `Authorization: Bearer {token}` Indicates the media type of the information sent in the request. This must be set to `application/json`. For example: `Content-Type: application/json` ## Path parameters The folder ID. ## Body parameters The folder name, as shown in the Canva UI. **Minimum length:** `1` **Maximum length:** `255` ## Example request Examples for using the `/v1/folders/{folderId}` endpoint: ```sh curl --request PATCH 'https://api.canva.com/rest/v1/folders/{folderId}' \ --header 'Authorization: Bearer {token}' \ --header 'Content-Type: application/json' \ --data '{ "name": "My awesome holiday" }' ``` ```js const fetch = require("node-fetch"); fetch("https://api.canva.com/rest/v1/folders/{folderId}", { method: "PATCH", headers: { "Authorization": "Bearer {token}", "Content-Type": "application/json", }, body: JSON.stringify({ "name": "My awesome holiday" }), }) .then(async (response) => { const data = await response.json(); console.log(data); }) .catch(err => console.error(err)); ``` ```java import java.io.IOException; import java.net.URI; import java.net.http.*; public class ApiExample { public static void main(String[] args) throws IOException, InterruptedException { HttpRequest request = HttpRequest.newBuilder() .uri(URI.create("https://api.canva.com/rest/v1/folders/{folderId}")) .header("Authorization", "Bearer {token}") .header("Content-Type", "application/json") .method("PATCH", HttpRequest.BodyPublishers.ofString("{\"name\": \"My awesome holiday\"}")) .build(); HttpResponse response = HttpClient.newHttpClient().send( request, HttpResponse.BodyHandlers.ofString() ); System.out.println(response.body()); } } ``` ```py import requests headers = { "Authorization": "Bearer {token}", "Content-Type": "application/json" } data = { "name": "My awesome holiday" } response = requests.patch("https://api.canva.com/rest/v1/folders/{folderId}", headers=headers, json=data ) print(response.json()) ``` ```csharp using System.Net.Http; var client = new HttpClient(); var request = new HttpRequestMessage { Method = HttpMethod.Patch, RequestUri = new Uri("https://api.canva.com/rest/v1/folders/{folderId}"), Headers = { { "Authorization", "Bearer {token}" }, }, Content = new StringContent( "{\"name\": \"My awesome holiday\"}", Encoding.UTF8, "application/json" ), }; using (var response = await client.SendAsync(request)) { response.EnsureSuccessStatusCode(); var body = await response.Content.ReadAsStringAsync(); Console.WriteLine(body); }; ``` ```go package main import ( "fmt" "io" "net/http" "strings" ) func main() { payload := strings.NewReader(`{ "name": "My awesome holiday" }`) url := "https://api.canva.com/rest/v1/folders/{folderId}" req, _ := http.NewRequest("PATCH", url, payload) req.Header.Add("Authorization", "Bearer {token}") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(string(body)) } ``` ```php $curl = curl_init(); curl_setopt_array($curl, array( CURLOPT_URL => "https://api.canva.com/rest/v1/folders/{folderId}", CURLOPT_CUSTOMREQUEST => "PATCH", CURLOPT_RETURNTRANSFER => true, CURLOPT_HTTPHEADER => array( 'Authorization: Bearer {token}', 'Content-Type: application/json', ), CURLOPT_POSTFIELDS => json_encode([ "name" => "My awesome holiday" ]) )); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if (empty($err)) { echo $response; } else { echo "Error: " . $err; } ``` ```ruby require 'net/http' require 'uri' url = URI('https://api.canva.com/rest/v1/folders/{folderId}') http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Patch.new(url) request['Authorization'] = 'Bearer {token}' request['Content-Type'] = 'application/json' request.body = < ## Success response If successful, the endpoint returns a `200` response with a JSON body with the following parameters: The folder object, which contains metadata about the folder. Properties of folder} defaultExpanded={true}> The folder ID. The folder name. When the folder was created, as a Unix timestamp (in seconds since the Unix Epoch). When the folder was last updated, as a Unix timestamp (in seconds since the Unix Epoch). A thumbnail image representing the object. Properties of thumbnail}> The width of the thumbnail image in pixels. The height of the thumbnail image in pixels. A URL for retrieving the thumbnail image. This URL expires after 15 minutes. This URL includes a query string that's required for retrieving the thumbnail. ## Example response ```json { "folder": { "id": "FAF2lZtloor", "name": "My awesome holiday", "created_at": 1377396000, "updated_at": 1692928800, "thumbnail": { "width": 595, "height": 335, "url": "https://document-export.canva.com/Vczz9/zF9vzVtdADc/2/thumbnail/0001.png?" } } } ``` ## Error responses ### 400 Bad Request A short string indicating what failed. This field can be used to handle errors programmatically. For a complete list of error codes, see [Error responses](/docs/apps/rest-apis/error-responses/). A human-readable description of what went wrong. #### Example error responses ##### The request parameters are invalid ```json { "code": "bad_request_body", "message": "Invalid request parameters" } ``` ##### The root ID is an alias, not a folder ```json { "code": "bad_request_params", "message": "The 'root' ID is an alias to list items without a folder. It's not a folder." } ``` ### 403 Forbidden A short string indicating what failed. This field can be used to handle errors programmatically. For a complete list of error codes, see [Error responses](/docs/apps/rest-apis/error-responses/). A human-readable description of what went wrong. #### Example error responses ##### Not allowed to access the folder ```json { "code": "permission_denied", "message": "{message}" } ``` ##### The operation is not allowed on the uploads folder ```json { "code": "permission_denied", "message": "{method} is not allowed on the 'uploads' folder." } ``` ### 404 Not Found A short string indicating what failed. This field can be used to handle errors programmatically. For a complete list of error codes, see [Error responses](/docs/apps/rest-apis/error-responses/). A human-readable description of what went wrong. #### Example error response ##### The folder was not found ```json { "code": "folder_not_found", "message": "Folder not found" } ```